QGIS Application - Bug report #13013
Custom function accepted in 2.8 is invalid in Master
2015-06-20 09:28 AM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21089
Description

| have created a custom function ($compta) within the new Function Editor in QGIS 2.8.
@qgsfunction(args=0, group='Custom’)
def compta(value1, feature, parent):

nb=0
for idx in range(len(feature.attributes())):
attr = feature.attributes()[idx]
if not attr == NULL :
nb = nb +1
return nb

In master, when tring to use this function, | get an error

Parser Error:

Special column is not known

Eval Error:

No root node! Parsing failed?

History

#1 - 2015-06-21 06:56 AM - Salvatore Larosa

it is occurring because you are running the function from Recent list which has stored it with the $ char in 2.8 version.

in master version that char is not added to the function anymore (it was removed since commit:e6403da)

the workaround here is re-run the function and choose it from Custom list.

#2 - 2015-06-21 07:36 AM - Harrissou Santanna
- Status changed from Open to Closed

Thank you, Salvatore. | didn't see that change.
